<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>DepartamentServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.service.impl</a> &gt; <span class="el_source">DepartamentServiceImpl.java</span></div><h1>DepartamentServiceImpl.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.service.impl;

import com.theo.myjhipster.service.DepartamentService;
import com.theo.myjhipster.domain.Departament;
import com.theo.myjhipster.repository.DepartamentRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Optional;

/**
 * Service Implementation for managing Departament.
 */
@Service
@Transactional
public class DepartamentServiceImpl implements DepartamentService {

<span class="fc" id="L22">    private final Logger log = LoggerFactory.getLogger(DepartamentServiceImpl.class);</span>

    private final DepartamentRepository departamentRepository;

<span class="fc" id="L26">    public DepartamentServiceImpl(DepartamentRepository departamentRepository) {</span>
<span class="fc" id="L27">        this.departamentRepository = departamentRepository;</span>
<span class="fc" id="L28">    }</span>

    /**
     * Save a departament.
     *
     * @param departament the entity to save
     * @return the persisted entity
     */
    @Override
    public Departament save(Departament departament) {
<span class="fc" id="L38">        log.debug(&quot;Request to save Departament : {}&quot;, departament);</span>
<span class="fc" id="L39">        return departamentRepository.save(departament);</span>
    }

    /**
     * Get all the departaments.
     *
     * @return the list of entities
     */
    @Override
    @Transactional(readOnly = true)
    public List&lt;Departament&gt; findAll() {
<span class="fc" id="L50">        log.debug(&quot;Request to get all Departaments&quot;);</span>
<span class="fc" id="L51">        return departamentRepository.findAll();</span>
    }


    /**
     * Get one departament by id.
     *
     * @param id the id of the entity
     * @return the entity
     */
    @Override
    @Transactional(readOnly = true)
    public Optional&lt;Departament&gt; findOne(Long id) {
<span class="fc" id="L64">        log.debug(&quot;Request to get Departament : {}&quot;, id);</span>
<span class="fc" id="L65">        return departamentRepository.findById(id);</span>
    }

    /**
     * Delete the departament by id.
     *
     * @param id the id of the entity
     */
    @Override
    public void delete(Long id) {
<span class="fc" id="L75">        log.debug(&quot;Request to delete Departament : {}&quot;, id);</span>
<span class="fc" id="L76">        departamentRepository.deleteById(id);</span>
<span class="fc" id="L77">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>